@extends('layouts.loggedform')
@section('card')
    @component('components.card')
        @slot('title')
            @lang('Paramétrer la course')
        @endslot
        <form method="POST" action="{{ route('race.store') }}">
            {{ csrf_field() }}
            @include('partials.form-group', [
                'title' => __('Nom'),
                'type' => 'text',
                'name' => 'name',
                'required' => true,
                ])
            @include('partials.form-group', [
                'title' => __('Date de début'),
                'type' => 'date',
                'name' => 'start_date',
                'required' => true,
                ])
            @include('partials.form-group', [
                'title' => __('Date de fin'),
                'type' => 'date',
                'name' => 'end_date',
                'required' => true,
                ])
            @include('partials.form-group', [
                'title' => __('Durée'),
                'type' => 'integer',
                'name' => 'duration',
                'required' => true,
                ])
            @include('partials.form-group', [
                'title' => __('Autonomie du karting (Sec)'),
                'type' => 'integer',
                'name' => 'autonomie_kart_sec',
                'required' => true,
                ])
            @include('partials.form-group', [
                'title' => __('Autonomie du karting (Humide)'),
                'type' => 'integer',
                'name' => 'autonomie_kart_humide',
                'required' => true,
                ])
            @include('partials.form-group', [
                'title' => __('Durée des relais par défaut (Minutes)'),
                'type' => 'integer',
                'name' => 'relay_default_duration',
                'required' => true,
                ])
            @include('partials.form-group', [
                'title' => __('Duree dans les stands minimum (Minutes)'),
                'type' => 'integer',
                'name' => 'stand_duration',
                'required' => true,
                ])
            @component('components.button')
                @lang('Envoyer')
            @endcomponent
        </form>
    @endcomponent
@endsection
